Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154178 - re-enable tsc timer on x86_64
Summary: re-enable tsc timer on x86_64
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brian Maly
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-08 00:08 UTC by Christopher P Johnson
Modified: 2007-11-30 22:07 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-19 19:50:17 UTC


Attachments (Terms of Use)

Description Christopher P Johnson 2005-04-08 00:08:57 UTC
Description of problem:

The TSC timer was disabled in rhel 3. Please resolve the underlying
issues, and re-enable it. 

There are several opteron hardware platforms which do not provide HPET timer.
Customers require high-resolution timers for correct application behavior.

There are also platforms with problems with the HPET timer, where fallback
to TSC is required.

Note that sles8, sles9, and rhel4 all do not disable TSC.

Version-Release number of selected component (if applicable):

rhel 3 update 4

Comment 5 Jim Paradis 2005-04-27 20:15:51 UTC
Don, can you give your input as to whether this warrants a kernel fix or if the
workaround is satisfactory for the next release?


Comment 6 Jason Baron 2005-04-28 04:14:17 UTC
How can it be a workaround, if it doesn't work properly

Comment 7 Lee Whatley 2005-08-16 15:42:43 UTC
This still seems to be a problem as of Update 5.  What's the status?

Comment 8 Red Hat Bugzilla 2007-03-18 22:32:05 UTC
User jparadis@redhat.com's account has been closed

Comment 9 Brian Maly 2007-04-19 19:49:19 UTC
TSC was disabled at AMD's request on opteron based systems due to the fact it
cant safely be used with their PowerNow technology. PMTimer support was added to
RHEL3 to address this issue, and is the preferred timer on AMD based systems.


Note You need to log in before you can comment on or make changes to this bug.